Bug 484931 - Renaming Review Request: hosts3d - 3D real-time network visualiser
Renaming Review Request: hosts3d - 3D real-time network visualiser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 13:48 EST by Simon
Modified: 2009-02-22 12:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-22 12:23:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch to get honor %{optflags} (357 bytes, patch)
2009-02-12 13:48 EST, Jochen Schmitt
no flags Details | Diff
Suggested SPEC file with include proposal Patch (4.31 KB, text/plain)
2009-02-12 13:51 EST, Jochen Schmitt
no flags Details

  None (edit)
Description Simon 2009-02-10 13:48:07 EST
Spec URL: 
http://cassmodiah.fedorapeople.org/hosts3d-0.97/hosts3d.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/hosts3d-0.97/hosts3d-0.97-1.fc10.src.rpm

Description: 
Hosts3D is a 3D real-time network visualizer, displaying 
hosts and packet traffic. Features include support for 
multiple sensors, analysis of packets to gather hostnames 
and services, configurable layout of subnetworks, 
recording/replaying of packet traffic, and the ability 
to filter packets by host, protocol or port. 
hsen (Hosts3D Sensor) is a packet capture daemon which
reads and sends packet header information to Hosts3D, 
locally or remotely. hsen also equates hostname to IP 
by reading DNS packets (UDP type A class IN standard 
query response). The relationship between hsen to Hosts3D 
can be one-to-one, one-to-many, many-to-one or many-to-many 
(many Hosts3Ds would be on multiple computers on the 
same subnet, receiving packet header information 
from hsen via broadcast).

Info:
Upstream named Homestead in Hosts3D because there is a commercial application called Homestead.
Comment 1 Susi Lehtola 2009-02-11 03:06:42 EST
Now the package
Provides:        homestead = 0.95-1
Obsoletes:       homestead < 0.95-1

but the current version in F10 is homestead-0.95-1, which won't be obsoleted. 

Change this to
Provides:        homestead = %{version}-%{release}
Obsoletes:       homestead < %{version}-%{release}

or just remove the versioning from Provides & Obsoletes?
Comment 2 Jochen Schmitt 2009-02-11 16:20:17 EST
I think, you should wrote

Provides:        homestead = %{version}-%{release}
Obsoletes:       homestead < 0.95-1
Comment 3 Simon 2009-02-11 16:29:30 EST
-
Provides:        homestead = %{version}-%{release}
Obsoletes:       homestead < 0.95-1
-

Perhaps THIS way?! This looks correct and make sense (to me)!
Comment 4 Jochen Schmitt 2009-02-11 16:41:20 EST
Review will be done tomorrow.
Comment 5 Jochen Schmitt 2009-02-12 11:38:17 EST
Good:

+ Base name of the SPEC file metches with package name.
+ Package name fullfill the naming guidelines
+ Package contains current release of the application
+ Could download sources from upstream
+ Packaged souces metches with upstream one.
(md5sum: 260c55fe010520cbe894c97b224f996b)
+ Package contains valid license tag
+ License tag contains GPLv2+ as an valid OSS license
+ License on the license tag fit with copyright note of 
the included source files
+ Package contains verbatin copy of the license text
+ Proper use of the %{?dist] tag
+ Proper defintion of the Buildroot
+ Buildroot will been cleaned on the beginning of %clean and %install
+ Consistently rpm macro usage
+ Package use parallel build
+ Local build works fine.
+ Koji build works fine.
+ Rpmlint is quite on source rpm
+ Rpmlint is quite on binary rpm
+ Rpmlint is quite on debuginfo package
+ Files hat proper files permissions
+ %files stanza has no duplicated entries
+ All packaged files are owned by the package
+ %doc stanza is small, so we need no deparate subpackage
+ package contains desktop entry file.
+ Proper %changelog


Bad:
- Please change Provides of the main package and the subpackage as 
discussed in comment #3
- Package doesn't honor $RPM_OPT_FLAGS
- Please remove the -p switch on make install
- Debuginfo package contains no sources

Question:
* Does the sampler subpackage not requires the main subpackage?
Comment 6 Jochen Schmitt 2009-02-12 13:48:14 EST
Created attachment 331728 [details]
Patch to get honor %{optflags}
Comment 7 Jochen Schmitt 2009-02-12 13:51:01 EST
Created attachment 331729 [details]
Suggested SPEC file with include proposal Patch

This SPEC file use a patch attached to this review request to patch the configure script. this is required, because the configure script overwrites the CXXFLAGS.
Comment 8 Simon 2009-02-13 05:56:24 EST
Thank you, i emailed this patch to upstream. I'm in a good contact with him :-)

I will continue today and i hope we finished it soon. 

Thank you
Comment 9 Jochen Schmitt 2009-02-15 14:50:03 EST
An additional change: It may be nice, if you can add the autoreconf command before the %configure statemant.

The task of the autoreconf command is to make sure, that the configure.in file may be generated on the base of the configure.ac file, which will be patched by my suggested patch.
Comment 11 Jochen Schmitt 2009-02-15 15:44:51 EST
Good:
+ autoconf was added as an BR.
+ autoreconf was called before %configure
+ Local build works fine
+ Local install works fine
+ Local uninstall works fine
+ Start of the application works without a crash

Bad:
- Build fails on koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1128556
Comment 12 Simon 2009-02-16 15:46:12 EST
mh, replace autoreconf with autoconf for a better "koji-compatibility"

Spec URL: 
http://cassmodiah.fedorapeople.org/hosts3d-0.97/hosts3d.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/hosts3d-0.97/hosts3d-0.97-3.fc10.src.rpm
Comment 13 Jochen Schmitt 2009-02-16 15:54:19 EST
Good:
+ Koji build works fine.

*** APPROVED ***
Comment 14 Simon 2009-02-16 15:58:04 EST
thank you Jochen.

New Package CVS Request
=======================
Package Name: hosts3d
Short Description: 3D real-time network visualiser
Owners: cassmodiah
Branches: F-10 EL-5
Comment 15 Kevin Fenzi 2009-02-16 16:16:09 EST
cvs done.
Comment 16 Simon 2009-02-22 12:23:33 EST
Included in F-10 devel and epel-5

i forgot to close the bug via bodhi

Note You need to log in before you can comment on or make changes to this bug.